package com.supervision.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 智能体信息表
 * @TableName agent_info
 */
@TableName(value ="agent_info")
@Data
public class AgentInfo implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 智能体code
     */
    private String agentCode;

    /**
     * 智能体名称
     */
    private String agentName;

    /**
     * 智能体描述
     */
    private String agentDesc;

    /**
     * 对接状态 0：未对接 1：已对接
     */
    private String adapterStatus;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}